<?php

namespace Unific\Connector\Helper\Data;

use Magento\Framework\Exception\InputException;
use Symfony\Component\Config\Definition\Exception\Exception;

class Product extends \Magento\Framework\App\Helper\AbstractHelper
{
    protected $dataObjectConverter;

    // Holds a Product API DATA object
    protected $product;

    protected $returnData = [];

    /**
     * OrderPlugin constructor.
     * @param \Magento\Framework\App\Helper\Context $context
     * @param \Magento\Framework\Api\ExtensibleDataObjectConverter $dataObjectConverter
     */
    public function __construct(
        \Magento\Framework\App\Helper\Context $context,
        \Magento\Framework\Api\ExtensibleDataObjectConverter $dataObjectConverter
    ) {
        parent::__construct($context);

        $this->dataObjectConverter = $dataObjectConverter;
    }

    /**
     * @param \Magento\Catalog\Api\Data\ProductInterface $product
     */
    public function setProduct(\Magento\Catalog\Api\Data\ProductInterface $product)
    {
        $this->product = $product;
        $this->setProductInfo();
    }

    /**
     * @return \Magento\Catalog\Api\Data\ProductInterface
     */
    public function getProduct()
    {
        return $this->product;
    }

    /**
     * @return void
     */
    protected function setProductInfo()
    {
        $this->returnData = $this->dataObjectConverter->toFlatArray($this->product, [], \Magento\Catalog\Api\Data\ProductInterface::class);
    }

    /**
     * @return array
     */
    public function getProductInfo()
    {
        return $this->returnData;
    }
}
