<?php

namespace Unific\Connector\Helper;

use Magento\Framework\Exception\InputException;
use Symfony\Component\Config\Definition\Exception\Exception;

class Hmac extends \Magento\Framework\App\Helper\AbstractHelper
{
    public function generateHmac(array $data)
    {
        return hash_hmac(
            'sha256',
            json_encode($data),
            $this->scopeConfig->getValue('unific/hmac/hmacSecret', \Magento\Store\Model\ScopeInterface::SCOPE_STORE)
        );
    }

    /**
     * @return string
     */
    public function generateSecret()
    {
        return md5(uniqid(rand(), true));
    }
}
